# `MPICH_jll.jl` (v4.2.1+1)

[![deps](https://juliahub.com/docs/MPICH_jll/deps.svg)](https://juliahub.com/ui/Packages/MPICH_jll/vDjle?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/772bcab96cf4fcd70b4e5ae63864398b9a167fd9/M/MPICH/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `MPICH_jll.jl` have been built from these sources:

* compressed archive: https://www.mpich.org/static/downloads/4.2.1/mpich-4.2.1.tar.gz (SHA256 checksum: `23331b2299f287c3419727edc2df8922d7e7abbb9fd0ac74e03b9966f9ad42d7`)
* files in directory, relative to originating `build_tarballs.jl`: [`bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/772bcab96cf4fcd70b4e5ae63864398b9a167fd9/M/MPICH/bundled)

## Platforms

`MPICH_jll.jl` is available for the following platforms:

* `macOS aarch64 {libgfortran_version=5.0.0, mpi=mpich}` (`aarch64-apple-darwin-libgfortran5-mpi+mpich`)
* `Linux aarch64 {libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`aarch64-linux-gnu-libgfortran3-mpi+mpich`)
* `Linux aarch64 {libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`aarch64-linux-gnu-libgfortran4-mpi+mpich`)
* `Linux aarch64 {libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`aarch64-linux-gnu-libgfortran5-mpi+mpich`)
* `Linux aarch64 {libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`aarch64-linux-musl-libgfortran3-mpi+mpich`)
* `Linux aarch64 {libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`aarch64-linux-musl-libgfortran4-mpi+mpich`)
* `Linux aarch64 {libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`aarch64-linux-musl-libgfortran5-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`armv6l-linux-gnueabihf-libgfortran3-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`armv6l-linux-gnueabihf-libgfortran4-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`armv6l-linux-gnueabihf-libgfortran5-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`armv6l-linux-musleabihf-libgfortran3-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`armv6l-linux-musleabihf-libgfortran4-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`armv6l-linux-musleabihf-libgfortran5-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`armv7l-linux-gnueabihf-libgfortran3-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`armv7l-linux-gnueabihf-libgfortran4-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`armv7l-linux-gnueabihf-libgfortran5-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`armv7l-linux-musleabihf-libgfortran3-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`armv7l-linux-musleabihf-libgfortran4-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`armv7l-linux-musleabihf-libgfortran5-mpi+mpich`)
* `Linux i686 {libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`i686-linux-gnu-libgfortran3-mpi+mpich`)
* `Linux i686 {libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`i686-linux-gnu-libgfortran4-mpi+mpich`)
* `Linux i686 {libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`i686-linux-gnu-libgfortran5-mpi+mpich`)
* `Linux i686 {libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`i686-linux-musl-libgfortran3-mpi+mpich`)
* `Linux i686 {libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`i686-linux-musl-libgfortran4-mpi+mpich`)
* `Linux i686 {libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`i686-linux-musl-libgfortran5-mpi+mpich`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`powerpc64le-linux-gnu-libgfortran3-mpi+mpich`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`powerpc64le-linux-gnu-libgfortran4-mpi+mpich`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`powerpc64le-linux-gnu-libgfortran5-mpi+mpich`)
* `macOS x86_64 {libgfortran_version=3.0.0, mpi=mpich}` (`x86_64-apple-darwin-libgfortran3-mpi+mpich`)
* `macOS x86_64 {libgfortran_version=4.0.0, mpi=mpich}` (`x86_64-apple-darwin-libgfortran4-mpi+mpich`)
* `macOS x86_64 {libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-apple-darwin-libgfortran5-mpi+mpich`)
* `Linux x86_64 {libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`x86_64-linux-gnu-libgfortran3-mpi+mpich`)
* `Linux x86_64 {libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`x86_64-linux-gnu-libgfortran4-mpi+mpich`)
* `Linux x86_64 {libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-linux-gnu-libgfortran5-mpi+mpich`)
* `Linux x86_64 {libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`x86_64-linux-musl-libgfortran3-mpi+mpich`)
* `Linux x86_64 {libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`x86_64-linux-musl-libgfortran4-mpi+mpich`)
* `Linux x86_64 {libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-linux-musl-libgfortran5-mpi+mpich`)
* `FreeBSD x86_64 {libgfortran_version=3.0.0, mpi=mpich}` (`x86_64-unknown-freebsd-libgfortran3-mpi+mpich`)
* `FreeBSD x86_64 {libgfortran_version=4.0.0, mpi=mpich}` (`x86_64-unknown-freebsd-libgfortran4-mpi+mpich`)
* `FreeBSD x86_64 {libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-unknown-freebsd-libgfortran5-mpi+mpich`)

## Dependencies

The following JLL packages are required by `MPICH_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`Hwloc_jll`](https://github.com/JuliaBinaryWrappers/Hwloc_jll.jl)
* [`MPIPreferences`](https://github.com/JuliaBinaryWrappers/MPIPreferences.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libmpi`
* `LibraryProduct`: `libmpicxx`
* `LibraryProduct`: `libmpifort`
* `ExecutableProduct`: `mpiexec`
